Bug 350822 - Crash when starting kontact again after a while
Summary: Crash when starting kontact again after a while
Status: RESOLVED DUPLICATE of bug 378513
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2015-07-31 12:50 UTC by Martin Tlustos
Modified: 2017-06-25 16:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Tlustos 2015-07-31 12:50:40 UTC
Application: kontact (4.14.7)
KDE Platform Version: 4.14.8
Qt Version: 4.8.6
Operating System: Linux 3.19.0-25-generic x86_64
Distribution: Ubuntu 15.04

-- Information about the crash:
- What I was doing when the application crashed:
I had closed kontact and then tried to start it again after a while when the crash appeared

It not always does this. It seems that kontact is not closed properly sometimes and then it will crash on (re)starting

The crash can be reproduced sometimes.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f9a258d8800 (LWP 11104))]

Thread 5 (Thread 0x7f9a053ef700 (LWP 11105)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9a2058081d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f9a20580859 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f9a1cc786aa in start_thread (arg=0x7f9a053ef700) at pthread_create.c:333
#4  0x00007f9a22dbdeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f99c4aec700 (LWP 11106)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9a202c120d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f9a205affd6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f9a1cc786aa in start_thread (arg=0x7f99c4aec700) at pthread_create.c:333
#4  0x00007f9a22dbdeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f99b301b700 (LWP 11110)):
#0  0x00007f9a22db28dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9a1c792ebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9a1c792fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9a2354687e in QEventDispatcherGlib::processEvents (this=0x7f99ac0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#4  0x00007f9a23515d21 in QEventLoop::processEvents (this=this@entry=0x7f99b301ad80, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9a23516085 in QEventLoop::exec (this=this@entry=0x7f99b301ad80, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9a23409e89 in QThread::exec (this=this@entry=0x3187960) at thread/qthread.cpp:538
#7  0x00007f9a234f6493 in QInotifyFileSystemWatcherEngine::run (this=0x3187960) at io/qfilesystemwatcher_inotify.cpp:265
#8  0x00007f9a2340c6ff in QThreadPrivate::start (arg=0x3187960) at thread/qthread_unix.cpp:349
#9  0x00007f9a1cc786aa in start_thread (arg=0x7f99b301b700) at pthread_create.c:333
#10 0x00007f9a22dbdeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f99b281a700 (LWP 11111)):
#0  0x00007f9a1c7d7248 in g_private_get () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f9a1c7b9e00 in g_thread_self () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9a1c792fbd in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9a2354687e in QEventDispatcherGlib::processEvents (this=0x7f99a40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#4  0x00007f9a23515d21 in QEventLoop::processEvents (this=this@entry=0x7f99b2819dd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9a23516085 in QEventLoop::exec (this=this@entry=0x7f99b2819dd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9a23409e89 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:538
#7  0x00007f9a2340c6ff in QThreadPrivate::start (arg=0x2516ad0) at thread/qthread_unix.cpp:349
#8  0x00007f9a1cc786aa in start_thread (arg=0x7f99b281a700) at pthread_create.c:333
#9  0x00007f9a22dbdeed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f9a258d8800 (LWP 11104)):
[KCrash Handler]
#6  Kontact::MainWindow::activateInitialPluginModule (this=0x24c5ee0) at ../../../kontact/src/mainwindow.cpp:329
#7  0x0000000000403e7a in KontactApp::newInstance (this=0x7ffc26a76d50) at ../../../kontact/src/main.cpp:148
#8  0x00007f9a24c8e14a in KUniqueApplicationAdaptor::newInstance (this=0x24ec390, asn_id=..., args=...) at ../../kdeui/kernel/kuniqueapplication.cpp:442
#9  0x00007f9a24c8e22d in KUniqueApplicationAdaptor::qt_static_metacall (_o=_o@entry=0x24ec390, _id=_id@entry=0, _a=_a@entry=0x7ffc26a76370, _c=QMetaObject::InvokeMetaMethod) at ./kuniqueapplication_p.moc:57
#10 0x00007f9a24c8e433 in qt_static_metacall (_a=0x7ffc26a76370, _id=0, _c=QMetaObject::InvokeMetaMethod, _o=0x24ec390) at ./kuniqueapplication_p.moc:100
#11 KUniqueApplicationAdaptor::qt_metacall (this=0x24ec390, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7ffc26a76370) at ./kuniqueapplication_p.moc:101
#12 0x00007f9a220fc6a6 in QDBusConnectionPrivate::deliverCall (this=this@entry=0x23de380, object=object@entry=0x24ec390, msg=..., metaTypes=..., slotIdx=4) at qdbusintegrator.cpp:951
#13 0x00007f9a220fd8bb in QDBusConnectionPrivate::activateCall (this=this@entry=0x23de380, object=0x24ec390, flags=flags@entry=337, msg=...) at qdbusintegrator.cpp:863
#14 0x00007f9a220fe2b0 in QDBusConnectionPrivate::activateObject (this=0x23de380, node=..., msg=..., pathStartPos=<optimized out>) at qdbusintegrator.cpp:1427
#15 0x00007f9a220fe43b in QDBusActivateObjectEvent::placeMetaCall (this=0x28168d0) at qdbusintegrator.cpp:1541
#16 0x00007f9a235308e1 in QObject::event (this=this@entry=0x7ffc26a76d50, e=e@entry=0x28168d0) at kernel/qobject.cpp:1222
#17 0x00007f9a2351ba4c in QCoreApplication::event (this=this@entry=0x7ffc26a76d50, e=e@entry=0x28168d0) at kernel/qcoreapplication.cpp:1767
#18 0x00007f9a23f29cd3 in QApplication::event (this=0x7ffc26a76d50, e=0x28168d0) at kernel/qapplication.cpp:2549
#19 0x00007f9a23f249bc in QApplicationPrivate::notify_helper (this=this@entry=0x23f7c60, receiver=receiver@entry=0x7ffc26a76d50, e=e@entry=0x28168d0) at kernel/qapplication.cpp:4570
#20 0x00007f9a23f2b4d8 in QApplication::notify (this=this@entry=0x7ffc26a76d50, receiver=receiver@entry=0x7ffc26a76d50, e=e@entry=0x28168d0) at kernel/qapplication.cpp:4356
#21 0x00007f9a24c86c2a in KApplication::notify (this=0x7ffc26a76d50, receiver=0x7ffc26a76d50, event=0x28168d0) at ../../kdeui/kernel/kapplication.cpp:311
#22 0x00007f9a235171cd in QCoreApplication::notifyInternal (this=0x7ffc26a76d50, receiver=receiver@entry=0x7ffc26a76d50, event=event@entry=0x28168d0) at kernel/qcoreapplication.cpp:955
#23 0x00007f9a2351aa71 in sendEvent (event=0x28168d0, receiver=0x7ffc26a76d50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#24 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x23be860) at kernel/qcoreapplication.cpp:1579
#25 0x00007f9a2351af03 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1472
#26 0x00007f9a235466ee in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#27 postEventSourceDispatch (s=0x2409010) at kernel/qeventdispatcher_glib.cpp:300
#28 0x00007f9a1c792c3d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007f9a1c792f20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007f9a1c792fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007f9a2354685e in QEventDispatcherGlib::processEvents (this=0x239d1b0, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#32 0x00007f9a23fccc66 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#33 0x00007f9a23515d21 in QEventLoop::processEvents (this=this@entry=0x7ffc26a76c60, flags=...) at kernel/qeventloop.cpp:149
#34 0x00007f9a23516085 in QEventLoop::exec (this=this@entry=0x7ffc26a76c60, flags=...) at kernel/qeventloop.cpp:204
#35 0x00007f9a2351bb09 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1227
#36 0x00007f9a23f22c1c in QApplication::exec () at kernel/qapplication.cpp:3828
#37 0x0000000000403509 in main (argc=1, argv=0x7ffc26a76ea8) at ../../../kontact/src/main.cpp:219

Possible duplicates by query: bug 328968, bug 324131, bug 323845, bug 322264, bug 315612.

Reported using DrKonqi
Comment 1 Denis Kurz 2017-06-23 19:36:55 UTC
This bug has never been confirmed for a Kontact version that is based on KDE Frameworks (5.x). Those versions differ significantly from the old 4.x series. Therefore, I plan to close it in around two or three months. In the meantime, it is set to WAITINGFORINFO to give reporters the oportunity to check if it is still valid. As soon as someone confirms it for a recent version (at least 5.1, ideally even more recent), I'll gladly reopen it.

Please understand that we lack the manpower to triage bugs reported for versions almost two years beyond their end of life.
Comment 2 Martin Tlustos 2017-06-25 16:24:57 UTC

*** This bug has been marked as a duplicate of bug 378513 ***